Skip to main content
POST
/
api
/
flow
/
{id}
/
run
Create a Flow Execution
curl --request POST \
  --url https://api.hilos.io/api/flow/{id}/run \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "execute_for": "LIST",
  "contact_list": [
    {
      "phone": "<string>",
      "first_name": "<string>",
      "last_name": "<string>",
      "email": "jsmith@example.com",
      "meta": {},
      "external_url": "<string>",
      "is_deleted": true,
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "source": "website",
      "created_on": "2023-11-07T05:31:56Z",
      "tags": [
        {
          "name": "<string>"
        }
      ],
      "external_id": "<string>",
      "native_id": "<string>",
      "default_assignees": [
        123
      ],
      "contact_import": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "default_channel": 123,
      "wa_id": "<string>",
      "overwrite_tags": false,
      "overwrite_default_assignees": false,
      "overwrite_meta": false
    }
  ],
  "has_priority": false
}
'
import requests

url = "https://api.hilos.io/api/flow/{id}/run"

payload = {
"execute_for": "LIST",
"contact_list": [
{
"phone": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"email": "jsmith@example.com",
"meta": {},
"external_url": "<string>",
"is_deleted": True,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source": "website",
"created_on": "2023-11-07T05:31:56Z",
"tags": [{ "name": "<string>" }],
"external_id": "<string>",
"native_id": "<string>",
"default_assignees": [123],
"contact_import": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"default_channel": 123,
"wa_id": "<string>",
"overwrite_tags": False,
"overwrite_default_assignees": False,
"overwrite_meta": False
}
],
"has_priority": False
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
execute_for: 'LIST',
contact_list: [
{
phone: '<string>',
first_name: '<string>',
last_name: '<string>',
email: 'jsmith@example.com',
meta: {},
external_url: '<string>',
is_deleted: true,
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
source: 'website',
created_on: '2023-11-07T05:31:56Z',
tags: [{name: '<string>'}],
external_id: '<string>',
native_id: '<string>',
default_assignees: [123],
contact_import: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
default_channel: 123,
wa_id: '<string>',
overwrite_tags: false,
overwrite_default_assignees: false,
overwrite_meta: false
}
],
has_priority: false
})
};

fetch('https://api.hilos.io/api/flow/{id}/run', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": "<string>",
  "inbound_start_message": "<string>",
  "inbound_start_message_match_exact": true,
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "has_priority": true,
  "flow_execution_variables": {},
  "start_on": "2023-11-07T05:31:56Z",
  "num_contacts": 1073741823,
  "expired": 1073741823,
  "running": 1073741823,
  "completed": 1073741823,
  "canceled": 1073741823,
  "failed": 1073741823,
  "created_on": "2023-11-07T05:31:56Z",
  "avg_completion_time": "<string>",
  "contact_filters": [
    {
      "field": "<string>",
      "value": "<string>",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    }
  ],
  "contact_list": [
    {
      "phone": "<string>",
      "first_name": "<string>",
      "last_name": "<string>",
      "email": "jsmith@example.com",
      "meta": {},
      "external_url": "<string>",
      "is_deleted": true,
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "source": "website",
      "notes": [
        {
          "id": 123,
          "notes": "<string>",
          "contact": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "created_on": "2023-11-07T05:31:56Z",
          "created_by": {
            "id": 123,
            "first_name": "<string>",
            "last_name": "<string>",
            "email": "jsmith@example.com",
            "profile_image": "<string>"
          }
        }
      ],
      "created_on": "2023-11-07T05:31:56Z",
      "tags": [
        {
          "id": 123,
          "name": "<string>"
        }
      ],
      "external_id": "<string>",
      "native_id": "<string>",
      "default_assignees": [
        123
      ],
      "contact_import": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "default_channel": 123,
      "wa_id": "<string>",
      "overwrite_tags": false,
      "overwrite_default_assignees": false,
      "overwrite_meta": false
    }
  ],
  "is_hidden": true
}

Authorizations

Authorization
string
header
required

Token-based authentication with required prefix "Token"

Path Parameters

id
string<uuid>
required

A Flow Id to create a Flow Execution.

Body

execute_for
enum<string>
required
Available options:
LIST
contact_list
object[]
required
has_priority
boolean
default:false

Specify as True if you want this execution to close any other running flows or conversations.

Response

201 - application/json
status
string
required
read-only

The status of the Flow Execution.

execute_for
enum<string>
required
Available options:
FILTERS,
LIST,
ALL
inbound_trigger_with
enum<string>
Available options:
ANY_MESSAGE,
TEXT,
IMAGE,
FILE
inbound_start_message
string | null
inbound_start_message_match_exact
boolean
id
string<uuid>
has_priority
boolean
flow_execution_variables
object
start_on
string<date-time> | null
num_contacts
integer
Required range: 0 <= x <= 2147483647
expired
integer
Required range: 0 <= x <= 2147483647
running
integer
Required range: 0 <= x <= 2147483647
completed
integer
Required range: 0 <= x <= 2147483647
canceled
integer
Required range: 0 <= x <= 2147483647
failed
integer
Required range: 0 <= x <= 2147483647
created_on
string<date-time>
avg_completion_time
string
contact_filters
object[]

The filters to use to get the Contacts that the Flow Execution will run for.

contact_list
object[]

The list of Contacts that the Flow Execution will run for.

source
enum<string>
Available options:
HUBSPOT,
API,
FRONTEND
is_hidden
boolean